<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>前端技术分享</title>
    <link rel="stylesheet" href="./css/webslides.css" />
    <link rel="stylesheet" href="./css/drawingBoard.css">
    <style>
      body {
        user-select: none;
      }
      section.slide {
        padding: 0;
        width: 100%;
      }
      span.full, span.draw-open {
        position: absolute;
        display: inline-block;
        right: 20px;
        border-radius: 5px;
        padding: 5px 20px;
        font-size: 13px;
        color: #3383ff;
        cursor: pointer;
      }
      span.full {
        top: 20px;
      }
      span.draw-open {
        bottom: 20px;
        z-index: 99999;
      }
      /* 全屏的时候的背景色 */
      /* :-webkit-full-screen {
        background: rgba(0, 0, 0, 0.5);
      }
      :-moz-full-screen {
        background: rgba(0, 0, 0, 0.5);
      } */
      /* 全屏的元素 */
      /* :-webkit-full-screen video { 
        width: 100%;
        height: 100%;
      } */
    </style>
  </head>
  <body>
    <main role="main">
      <article id="webslides" class="horizontal-right">
        <!-- 第一张PPT -->
        <!-- 
            <section class="aligncenter">
                content
            </section> 
        -->
      </article>
    </main>
    <span class="full">全屏模式</span>
    <span class="draw-open">🎨</span>
    <!-- canvas 画板  -->
    <div class="canvas-draw hide">
      <!-- select and setting to line color and width -->
      <div class="selector">
        <p class="color">
          颜色：<input type="color" value="#ff001a" class="color-select" />
        </p>
        <p class="range">
          线条:<input
            type="range"
            max="100"
            min="1"
            class="range"
            value="2"
          /><span class="size">2</span>
        </p>
        <button class="close">清空</button>
        <button class="save">保存</button>
      </div>
      <!-- show Drawing board -->
      <canvas id="my-canvas"></canvas>
    </div>
    <script src="./js/webslides.min.js"></script>
    <script src="./drawingBoard.js"></script>
    <script src="./index.js"></script>
  </body>
</html>
